New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[build] Update Apache Maven Enforcer plugin to 1.4.1 #13181

Merged
merged 1 commit into from Aug 28, 2015

Conversation

Projects
None yet
3 participants
@dadoonet
Member

dadoonet commented Aug 28, 2015

<plugin>
 <groupId>org.apache.maven.plugins</groupId>
 <artifactId>maven-enforcer-plugin</artifactId>
 <version>1.4.1</version>
</plugin>

Release Notes - Maven Enforcer - Version 1.4.1

https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12317520&version=12330766

Bugs:

  • [MENFORCER-222] - RequireSameVersion rule regression between 1.3 and 1.4
  • [MENFORCER-224] - Regression from 1.3.1 to 1.4 with bannedDependencies rule
  • [MENFORCER-229] - Ban Distribution Management documentation example doesn't work
  • [MENFORCER-237] - Resources Link to codehaus is wrong

Improvements:

  • [MENFORCER-223] - Upgrade mrm-maven-plugin to 1.0-beta-2
  • [MENFORCER-227] - Document nullability with @nonnull on EnforcerRule API
  • [MENFORCER-233] - Upgrade maven-invoker-plugin to 2.0.0
  • [MENFORCER-235] - Use maven-fluido-skin 1.4
  • [MENFORCER-236] - Upgrade maven-assembly-plugin version from 2.4 to 2.5.5 in integration test
  • [MENFORCER-238] - Upgrade plexus-utils to 3.0.22
[build] Update Apache Maven Enforcer plugin to 1.4.1
```xml
<plugin>
 <groupId>org.apache.maven.plugins</groupId>
 <artifactId>maven-enforcer-plugin</artifactId>
 <version>1.4.1</version>
</plugin>
```

Release Notes - Maven Enforcer - Version 1.4.1
========

https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12317520&version=12330766

Bugs:
-----

* [MENFORCER-222] - RequireSameVersion rule regression between 1.3 and 1.4
* [MENFORCER-224] - Regression from 1.3.1 to 1.4 with bannedDependencies rule
* [MENFORCER-229] - Ban Distribution Management documentation example doesn't work
* [MENFORCER-237] - Resources Link to codehaus is wrong

Improvements:
------------

* [MENFORCER-223] - Upgrade mrm-maven-plugin to 1.0-beta-2
* [MENFORCER-227] - Document nullability with @nonnull on EnforcerRule API
* [MENFORCER-233] - Upgrade maven-invoker-plugin to 2.0.0
* [MENFORCER-235] - Use maven-fluido-skin 1.4
* [MENFORCER-236] - Upgrade maven-assembly-plugin version from 2.4 to 2.5.5 in integration test
* [MENFORCER-238] - Upgrade plexus-utils to 3.0.22
@nik9000

This comment has been minimized.

Show comment
Hide comment
@nik9000

nik9000 Aug 28, 2015

Contributor

LGTM

Contributor

nik9000 commented Aug 28, 2015

LGTM

@dadoonet dadoonet merged commit 8c634f5 into elastic:master Aug 28, 2015

1 check passed

CLA Commit author is a member of Elasticsearch
Details

@dadoonet dadoonet deleted the dadoonet:maven/enforcer branch Aug 28, 2015

@dadoonet dadoonet removed the review label Aug 28, 2015

@clintongormley clintongormley added v2.0.0-beta2 and removed v2.0.0 labels Sep 14, 2015

@clintongormley clintongormley removed the v2.1.0 label Nov 22, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment